Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class DeviceInfo.DeviceClass

    java.lang.Object
      |
      +--oracle.portal.provider.v1.DeviceInfo.DeviceClass

Enclosing class:
  DeviceInfo

public static class DeviceInfo.DeviceClass
extends java.lang.Object

Field Summary
`static DeviceInfo.DeviceClass` | `DEVICE_MESSENGER`
`static DeviceInfo.DeviceClass` | `DEVICE_MICROBROWSER`
`static DeviceInfo.DeviceClass` | `DEVICE_MICROMESSENGER`
`static DeviceInfo.DeviceClass` | `DEVICE_PCBROWSER`
`static DeviceInfo.DeviceClass` | `DEVICE_PDABROWSER`
`static DeviceInfo.DeviceClass` | `DEVICE_UNKNOWN`
`static DeviceInfo.DeviceClass` | `DEVICE_VOICE`
`static int` | `MESSENGER`
`static int` | `MICROBROWSER`
`static int` | `MICROMESSENGER`
`static int` | `PCBROWSER`
`static int` | `PDABROWSER`
`static int` | `UNKNOWN`
`static int` | `VOICE`

Constructor Summary
`DeviceInfo.DeviceClass(int deviceClass)`
`DeviceInfo.DeviceClass(java.lang.String deviceClass)`

Method Summary
`static DeviceInfo.DeviceClass` | `getDeviceClass(java.lang.String deviceClass)`
`int` | `getValue()`
`static boolean` | `isDeviceAudio(DeviceInfo.DeviceClass device)`
`static boolean` | `isDeviceKnown(DeviceInfo.DeviceClass device)`
`static boolean` | `isDeviceMessenger(DeviceInfo.DeviceClass device)`
`static boolean` | `isDeviceMicrobrowser(DeviceInfo.DeviceClass device)`
`static boolean` | `isDeviceMicroMessenger(DeviceInfo.DeviceClass device)`
`static boolean` | `isDevicePCBrowser(DeviceInfo.DeviceClass device)`
`static boolean` | `isDevicePDABrowser(DeviceInfo.DeviceClass device)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

### VOICE

    public static final int VOICE

### MICROMESSENGER

    public static final int MICROMESSENGER

### MESSENGER

    public static final int MESSENGER

### MICROBROWSER

    public static final int MICROBROWSER

### PDABROWSER

    public static final int PDABROWSER

### PCBROWSER

    public static final int PCBROWSER

### DEVICE_UNKNOWN

    public static final DeviceInfo.DeviceClass DEVICE_UNKNOWN

### DEVICE_VOICE

    public static final DeviceInfo.DeviceClass DEVICE_VOICE

### DEVICE_MICROMESSENGER

    public static final DeviceInfo.DeviceClass DEVICE_MICROMESSENGER

### DEVICE_MESSENGER

    public static final DeviceInfo.DeviceClass DEVICE_MESSENGER

### DEVICE_MICROBROWSER

    public static final DeviceInfo.DeviceClass DEVICE_MICROBROWSER

### DEVICE_PDABROWSER

    public static final DeviceInfo.DeviceClass DEVICE_PDABROWSER

### DEVICE_PCBROWSER

    public static final DeviceInfo.DeviceClass DEVICE_PCBROWSER

Constructor Detail

### DeviceInfo.DeviceClass

    public DeviceInfo.DeviceClass(java.lang.String deviceClass)

### DeviceInfo.DeviceClass

    public DeviceInfo.DeviceClass(int deviceClass)

Method Detail

### isDeviceAudio

    public static boolean isDeviceAudio(DeviceInfo.DeviceClass device)

  Returns:
    true if this is an voice device.

### isDeviceMicroMessenger

    public static boolean isDeviceMicroMessenger(DeviceInfo.DeviceClass device)

  Returns:
    true if this device's display is small -- sms, pagers display.

### isDeviceMessenger

    public static boolean isDeviceMessenger(DeviceInfo.DeviceClass device)

  Returns:
    true if this device's display is medium -- e-mail devices display.

### isDeviceMicrobrowser

    public static boolean isDeviceMicrobrowser(DeviceInfo.DeviceClass device)

  Returns:
    true if this device's display ismall -- cell/wap phones display

### isDevicePDABrowser

    public static boolean isDevicePDABrowser(DeviceInfo.DeviceClass device)

  Returns:
    true if this device's display medium -- pdas display

### isDevicePCBrowser

    public static boolean isDevicePCBrowser(DeviceInfo.DeviceClass device)

  Returns:
    true if this device's display large -- pc display

### isDeviceKnown

    public static boolean isDeviceKnown(DeviceInfo.DeviceClass device)

  Returns:
    false if this device's display size is unknown.

### getDeviceClass

    public static DeviceInfo.DeviceClass getDeviceClass(java.lang.String deviceClass)

  Parameters:
    `deviceClass` - name of the type (size) of this device's display.
  Returns:
    a DeviceClass object representing the device's display size (class) based on the provided string value. If an invalid String value is passed the DeviceClass returned is one representing "unknown".

### getValue

    public int getValue()

  Returns:
    the (enumerated) value of this device's class (display).

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object
  Returns:
    the (String value of this device's class (display).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD